<template functional>
  <span
    :ref="data.ref"
    class="a-badge-ui"
    :class="[
      'inline-flex items-center px-2.5 py-0.5 rounded-md text-sm font-medium leading-5',
      data.class,
      data.staticClass,
    ]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <!--
      @slot Label of the badge.
    -->
    <slot />
  </span>
</template>

<script>
export default {
  name: 'ABadgeUi',
};
</script>

<style scoped>
/* prettier-ignore */
.a-badge-ui:not(.reset) {
  --a-badge-ui--def-bg-color: hsl(220, 16%, 96%); /* theme('colors.gray.100') */
  --a-badge-ui--def-text-color: hsl(217, 26%, 20%); /* theme('colors.gray.800') */

  background-color: var(--a-badge-ui--bg-color, var(--a-badge-ui--def-bg-color));
  color: var(--a-badge-ui--text-color, var(--a-badge-ui--def-text-color));
}
</style>
